FORUMS


The Form Tools forums are no longer active, but the old posts have been archived here. Please see the Help page on how to get help / report issues.

Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Upgrading
#1
Hi, I have core version 2.0 and API 1.0 when I try to update and click the upgrade button I am taken to the update page where I'm shown upgrade modules that are checked but no zip file is generated! I can't seem to generate a file. I am including an image.


Attached Files Thumbnail(s)
   
Reply
#2
Hi jhmblvd,

Uh-oh...! I see there's a javascript error in the page. If the JS fails, the script won't work properly. I just tested it out in Firefox on my end and everything worked fine, unfortunately.

What version of FF are you using? Let me know and I'll try to reproduce it.

One other thing you could try is doing is emptying your browsers cache and try reloading that page. It shouldn't make a difference, but at least it would rule out the possibility that an old JS file was cached on that page.

- Ben
Reply
#3
I too am having trouble updating. I would like to upgrade to v2.1. I am currently using 2.0.5. When I click the Update link at the top of the page it does nothing. It appears when I hover over it all it is doing is adding # to the current url.

If it helps, I am using FF 5.0.1 on a mac. I have also cleared my cache and it didn't do anything.

(Jul 10th, 2011, 9:47 AM)Ben Wrote: Hi jhmblvd,

Uh-oh...! I see there's a javascript error in the page. If the JS fails, the script won't work properly. I just tested it out in Firefox on my end and everything worked fine, unfortunately.

What version of FF are you using? Let me know and I'll try to reproduce it.

One other thing you could try is doing is emptying your browsers cache and try reloading that page. It shouldn't make a difference, but at least it would rule out the possibility that an old JS file was cached on that page.

- Ben

Reply
#4
Hey guys,

Huh - I'm behind the time on my Firefox versions. FF 5?

Two things:
1. I'd hang off upgrading to 2.1.0 for a week or so. Although I'm confident in the new version's stability and all that, a couple of people have contacted me with problems in the upgrade script. I'd like to investigate it to find out if there are any problems there.
2. The Update link works entirely with javascript, so if there are any problems (any at all), it could cause that to not work properly. Of course, there shouldn't BE any problems, but I'd check that out first: in FF, open up the JS error console (Tools -> Error Console, on my old Mac FF 3.6 version...!) then reload the page. See any errors?

If you do, (a) let me know and (b) go to a different page in the Form Tools UI. On one that doesn't have an error, click the Update button again.

Let me know how it goes.

- Ben



Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)